Subject: Re: [SWIPL] module coerency problem

From: Armando Stellato <[email-masked]>
Date: Wed, 03 Oct 2001 00:32:27 +0200

I think i'll continue to use modules for this specific case, but your 
advice is greatly appreciated, i'm taking a look at the site you have 
mentioned and it sounds very interesting.
Thank u
Armando

> 
> 
> You are going to always get in trouble using modules... ;-)
> 
> Why not use objects? They are much better suited to develop agent 
> systems. Take a look at:
> 
>     http://www.ci.uc.pt/logtalk/logtalk.html
> 
> Bonus: your code will run unchanged in almost all current Prolog 
> compilers with no modifications. You cannot do the same today using 
> modules.
> 
> Regards,
> 
> Paulo
> 
> 
> -----------------------------------------------------------
> Paulo Jorge Lopes de Moura
> Dep. of Informatics                   Office 4.3  Ext. 3257
> University of Beira Interior          Phone: +351 275319700
> 6201-001 Covilhã                      Fax:   +351 275319732
> Portugal
> 
> mailto:[email-masked]
> http://www.ci.uc.pt/logtalk/pmoura.html
> -----------------------------------------------------------
> 
>